Subject: RE: Limiting the Use of Site-Local

From: "Bound, Jim" <[email-masked]>
Date: Mon, 28 Oct 2002 23:15:46 -0500

Tony,

So if I read your view.  Your saying.  Control them but do not revoke
them?

The question is can we control them then right?

But if we can't figure it out or agree then that could be revoke?

I would hope we can control and not revoke.

But as you know I don't believe they should have ever been permitted in
the first place in IPv6.  Site-Locals and 1918 are BOGUS that is not how
to control what they wanted to do in the first place.  

/jim
[Have you ever seen the rain coming down on a sunny day]

> -----Original Message-----
> From: Tony Hain [mailto:[email-masked]] 
> Sent: Monday, October 28, 2002 2:47 PM
> To: [email-masked]
> Subject: RE: Limiting the Use of Site-Local
> 
> 
> I have a basic problem with this thread. We have a few people 
> discussing fundamental changes in close to a vacuum. At best 
> the result of this discussion should be a separate BCP, but 
> before that happens operators of networks that actually use 
> 1918 space need to be engaged to find out their requirements. 
> 
> The whole idea that SL should be revoked if a global is 
> available is bogus. It is certainly reasonable for the 
> manufacturer of light switches to only support SL/LL rather 
> than potentially multiple global prefixes. There is no reason 
> for those devices to interact across a scope boundary, so the 
> peer nodes that may also need global access MUST keep their 
> SL to interact in the limited scope. 
> 
> Tony
> 
> 
> 
> 
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Tony Hain" <[email-masked]>
Date: Tue, 29 Oct 2002 11:37:29 -0800

Bound, Jim wrote:
> So if I read your view.  Your saying.  Control them but do 
> not revoke them?
> 

I was trying to say; comment on known problem areas, but nothing more.
This is because we can't control their use, and even if we could, we
might be cutting of a valuable service down the road. When we know there
is a problem, like the use of SL with the current single scope DNS
servers, we should point out the reasons developers should think twice
before going there. 

> But if we can't figure it out or agree then that could be revoke?

No. There are deployment models where SL is what the network manager
wants, but those who are complaining on this list are not working in
networks with those models. Before any discussion about removing them
can take place, the people that want to use them need a voice.

Tony

> But as you know I don't believe they should have ever been 
> permitted in the first place in IPv6.  Site-Locals and 1918 
> are BOGUS that is not how to control what they wanted to do 
> in the first place.  
> 
> /jim

---

From: Keith Moore <[email-masked]>
Date: Tue, 29 Oct 2002 14:58:51 -0500

> might be cutting of a valuable service down the road. 

_inclusion_ of SL  might be cutting off a valuable service down the
road, and we have far more reason to believe that inclusion will
cut off functionality than we have to believe that it will provide
additional functionality.

> When we know there is a problem, like the use of SL with the 
> current single scope DNS servers, we should point out the 
> reasons developers should think twice before going there.

we know of *lots* of problems with SL.
shouldn't we think twice about going there?

> wants, 

only because they either misunderstand what SL will do or because they
think they can't get globals.   there's no reason whatsoever to 
prefer SL to non-routable globals.

> but those who are complaining on this list are not working in
> networks with those models. 

wrong - it's precisely because some of us have had to work in networks
with similar models that we are so sensitive to SL brain-damage.

> Before any discussion about removing them

how about people who write apps?  do they need a voice also?

Keith